### Method

# GUsb Device get_bos_descriptors

since: 0.4.0

#### Declaration

    GPtrArray*
    g_usb_device_get_bos_descriptors (
      GUsbDevice* self
      GError** error
    )

#### Description

Gets all the BOS descriptors exported by the device.

The first time this method is used the hardware is queried and then after that cached results are returned. To invalidate the caches use g_usb_device_invalidate().

Available since: 0.4.0

#### Return value

Type: An array of `GUsbBosDescriptor*`

An array of BOS descriptors.

The caller of the method takes ownership of the data container, but not the data inside it.